[R] loading lme4 fails - "function 'cholmod_l_start' not providedbypackage 'Matrix'"

Megan Davies Megan.Davies at snh.gov.uk
Wed Feb 4 12:49:28 CET 2009


Thanks again Prof,

I downloaded the latest lme4 today.  In the description file, it says, "Version: 0.999375-28".  I've just checked this against the version available on CRAN and its the same.

Megan

Megan Davies
Policy and Advice Officer, Statistician
Scottish Natural Heritage
01463 725072

>>> Prof Brian Ripley <ripley at stats.ox.ac.uk> 04-02-2009 11:42 >>>
On Wed, 4 Feb 2009, Megan Davies wrote:

> Thanks Prof,
>
> As you can see from my session information (below), I appear to be 
> using the same version of Matrix as yourself.  However, I also 
> notice that you're using a patched version of 2.8.1 whereas I'm not. 
> Could this be the difference?

It should not, and I just checked the original 2.8.1 to be sure.

>
> sessionInfo()
>
> R version 2.8.1 (2008-12-22)
> i386-pc-mingw32
>
> locale:
> LC_COLLATE=English_United Kingdom.1252;LC_CTYPE=English_United Kingdom.1252;LC_MONETARY=English_United Kingdom.1252;LC_NUMERIC=C;LC_TIME=English_United Kingdom.1252
>
> attached base packages:
> [1] stats     graphics  grDevices utils     datasets  methods   base
>
> other attached packages:
> [1] Matrix_0.999375-20 lattice_0.17-20

But we don't have the lme4 version, so please re-check that.

>
> loaded via a namespace (and not attached):
> [1] grid_2.8.1  tools_2.8.1
>
> Megan
>
> Megan Davies
> Policy and Advice Officer, Statistician
> Scottish Natural Heritage
> 01463 725072
>
>>>> Prof Brian Ripley <ripley at stats.ox.ac.uk> 04-02-2009 11:13 >>>
> Did you update your version of Matrix?  It should be 0.99375-20 (or
> perhaps -18).  E.g. for me
>
>> sessionInfo()
> R version 2.8.1 Patched (2009-02-04 r47838)
> i386-pc-mingw32
>
> locale:
> LC_COLLATE=English_United Kingdom.1252;LC_CTYPE=English_United
> Kingdom.1252;LC_MONETARY=English_United
> Kingdom.1252;LC_NUMERIC=C;LC_TIME=English_United Kingdom.1252
>
> attached base packages:
> [1] stats     graphics  grDevices utils     datasets  methods   base
>
> other attached packages:
> [1] lme4_0.999375-28   Matrix_0.999375-20 lattice_0.17-20
>
> loaded via a namespace (and not attached):
> [1] grid_2.8.1  tools_2.8.1
>
> worked.
>
> R 2.9.0 will check versions when loading a package, but 2.8.1 does
> not.
>
>
> On Wed, 4 Feb 2009, Megan Davies wrote:
>
>> Hello UseRs,
>>
>> I've just tried to load the lme4 package and got the error message,
>> "function 'cholmod_l_start' not provided by package 'Matrix'".  I
>> downloaded the latest version of lme4 and its required packages
>> (lattice and Matrix) as suggested in the archives and still got this
>> message.  The FAQ and archives suggested to check the R version
>
> and also the package version requirements.
>
>> requirements, but I'm already using the latest available version of
>> R, 2.8.1.  I'm using Windows XP Professional.
>
>>
>> Thanks for any help,
>> Megan Davies
>>
>> Megan Davies
>> Policy and Advice Officer, Statistician
>> Scottish Natural Heritage
>> 01463 725072
>
> -- 
> Brian D. Ripley,                  ripley at stats.ox.ac.uk 
> Professor of Applied Statistics,  http://www.stats.ox.ac.uk/~ripley/ 
> University of Oxford,             Tel:  +44 1865 272861 (self)
> 1 South Parks Road,                     +44 1865 272866 (PA)
> Oxford OX1 3TG, UK                Fax:  +44 1865 272595
>
> **********************************************************************
> Is this email SPAM? If so, please forward it as an attachment to spam at snh.gov.uk 
>
>
>
> **********************************************************************
> This email and any files transmitted with it are confidential
> and intended solely for the use of the individual or entity
> to whom they are addressed. If you have received this email
> in error please notify the system manager or the sender.
>
> Please note that for business purposes, outgoing and incoming
> emails from and to SNH may be monitored.
>
> This Email has been scanned by eSecure Mail (powered by Evolution
> Systems, the digital security specialist)
> **********************************************************************
>

-- 
Brian D. Ripley,                  ripley at stats.ox.ac.uk 
Professor of Applied Statistics,  http://www.stats.ox.ac.uk/~ripley/ 
University of Oxford,             Tel:  +44 1865 272861 (self)
1 South Parks Road,                     +44 1865 272866 (PA)
Oxford OX1 3TG, UK                Fax:  +44 1865 272595

**********************************************************************
Is this email SPAM? If so, please forward it as an attachment to spam at snh.gov.uk

 
 **********************************************************************
 This email and any files transmitted with it are confidential 
 and intended solely for the use of the individual or entity 
 to whom they are addressed. If you have received this email 
 in error please notify the system manager or the sender.
 
 Please note that for business purposes, outgoing and incoming 
 emails from and to SNH may be monitored.
 
 This Email has been scanned by eSecure Mail (powered by Evolution
 Systems, the digital security specialist)



More information about the R-help mailing list